Downward Compatible?

Questions about the LÖVE API, installing LÖVE and other support related questions go here.
Forum rules
Before you make a thread asking for help, read this.
User avatar
sauer2
Citizen
Posts: 61
Joined: Tue Sep 02, 2008 4:15 pm

Downward Compatible?

Post by sauer2 » Thu Jul 30, 2009 7:42 pm

Will 0.6 and higher stay downward compatible to 0.5?

Thank you and best regards

Sauer2

User avatar
osgeld
Party member
Posts: 303
Joined: Sun Nov 23, 2008 10:13 pm

Re: Downward Compatible?

Post by osgeld » Thu Jul 30, 2009 7:48 pm

probably not

User avatar
rude
Administrator
Posts: 1051
Joined: Mon Feb 04, 2008 3:58 pm
Location: Oslo, Norway

Re: Downward Compatible?

Post by rude » Thu Jul 30, 2009 7:49 pm

No.

User avatar
TechnoCat
Inner party member
Posts: 1611
Joined: Thu Jul 30, 2009 12:31 am
Location: Denver, CO
Contact:

Re: Downward Compatible?

Post by TechnoCat » Thu Jul 30, 2009 7:50 pm

sauer2 wrote:Will 0.6 and higher stay downward compatible to 0.5?

Thank you and best regards

Sauer2
I am also interested in the backwards compatibility of 0.6.0 for running 0.5.0 code.
But, I also understand that LOVE is still entirely in development and this might not be a feasible/timely thing to do.

Edit: nevermind. Has been answered.

User avatar
sauer2
Citizen
Posts: 61
Joined: Tue Sep 02, 2008 4:15 pm

Re: Downward Compatible?

Post by sauer2 » Thu Jul 30, 2009 8:38 pm

:death: That's a problem, since you only offer the newest version for download.
Will there be such a downward compatible version in the future?
You know, it is a crappy feeling to develope a game that runs only one year or less...

User avatar
TechnoCat
Inner party member
Posts: 1611
Joined: Thu Jul 30, 2009 12:31 am
Location: Denver, CO
Contact:

Re: Downward Compatible?

Post by TechnoCat » Thu Jul 30, 2009 8:41 pm

sauer2 wrote::death: That's a problem, since you only offer the newest version for download.
Will there be such a downward compatible version in the future?
You know, it is a crappy feeling to develope a game that runs only one year or less...
If you distribute your game by concat'ing it to the executable specific to the operating system you don't have to worry about their version of LOVE.

User avatar
Robin
The Omniscient
Posts: 6506
Joined: Fri Feb 20, 2009 4:29 pm
Location: The Netherlands
Contact:

Re: Downward Compatible?

Post by Robin » Thu Jul 30, 2009 8:56 pm

sauer2 wrote::death: That's a problem, since you only offer the newest version for download.
Will there be such a downward compatible version in the future?
You know, it is a crappy feeling to develope a game that runs only one year or less...
Maybe we could have a Past Love Archive ;)
Help us help you: attach a .love.

User avatar
bartbes
Sex machine
Posts: 4946
Joined: Fri Aug 29, 2008 10:35 am
Location: The Netherlands
Contact:

Re: Downward Compatible?

Post by bartbes » Thu Jul 30, 2009 10:43 pm

@robin: exes

a lot of BACKward compatibility can easily be made in lua but dont expect us to do it pre-DNF (check the roadmap)

User avatar
TechnoCat
Inner party member
Posts: 1611
Joined: Thu Jul 30, 2009 12:31 am
Location: Denver, CO
Contact:

Re: Downward Compatible?

Post by TechnoCat » Fri Jul 31, 2009 2:07 am

bartbes wrote:@robin: exes

a lot of BACKward compatibility can easily be made in lua but dont expect us to do it pre-DNF (check the roadmap)
Heh, pre-Duke Nukem Forever is a long time.

User avatar
rude
Administrator
Posts: 1051
Joined: Mon Feb 04, 2008 3:58 pm
Location: Oslo, Norway

Re: Downward Compatible?

Post by rude » Fri Jul 31, 2009 11:34 am

sauer2 wrote:That's a problem, since you only offer the newest version for download.
All versions are available. http://sourceforge.net/projects/love/files/

Post Reply

Who is online

Users browsing this forum: No registered users and 46 guests